ant-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Stefan Bodewig <bode...@apache.org>
Subject Re: Windows XP
Date Wed, 11 Sep 2002 06:52:52 GMT
On Tue, 10 Sep 2002, Curt Wilhelm <Curt.Wilhelm@sun.com> wrote:

>> the combination of winXP+Java1.4+ant1.4.1 doesnt work. You need to
>> move up to ant1.5
> 
> Can someone provide some details about this issue.

Ant < 1.5 doesn't recognize Windows XP as a Windows that has cmd.exe
instead of command.com (and only with JDK 1.4 as JDK 1.3 says XP is
Windows 2000 or NT, can't remember exactly).

When Ant needs to start an external program or access environment
variables (which starts an external program), it will try to invoke
command.com and fail on XP.

As long as you don't use <exec> or <java fork="true"> or 
<property environment> or similar, Ant 1.4.1 will work on XP and Java 1.4.

> is there any workaround?

Upgrading to 1.5 should be almost painless.

One thing you could try - I haven't tested it for lack of Windows XP -
was to set the system property os.name to "Windows NT" before starting
Ant.  If this should work, could you please report back to us so that
we can add it to the FAQ?

Thanks
        Stefan

--
To unsubscribe, e-mail:   <mailto:ant-user-unsubscribe@jakarta.apache.org>
For additional commands, e-mail: <mailto:ant-user-help@jakarta.apache.org>


Mime
View raw message